%define name SportsTracker
%define version 2.5.1
%define release %mkrel 6

Summary: Application to record sporting activities
Name: %name
Version: %version
Release: %release
License: GPLv2+
Group: Education
URL: http://www.saring.de/sportstracker/
Source: http://dl.sourceforge.net/sourceforge/sportstracker/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk-sharp2-devel
BuildRequires: glade-sharp2
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires: mono
Requires: gtk-sharp2
Requires: glade-sharp2
BuildArch: noarch

%description
SportsTracker is an application for people who want to record 
their sporting activities. It is not bound to a specific kind of 
sport, the user can create categories for all sport types which 
are endurance related, such as cycling, running or swimming.

%prep
%setup -q

%build
%make MCS=gmcs

%check
make test

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p %buildroot%_datadir/applications %buildroot%_datadir/pixmaps
%__make PREFIX="$RPM_BUILD_ROOT"/%{_usr} DESTDIR="$RPM_BUILD_ROOT" PREFIX_I18N="$RPM_BUILD_ROOT"/%{_datadir}/locale install STARTER_DIR=%buildroot%_datadir/applications PIXMAP_DIR=%buildroot%_datadir/pixmaps
install -m 755 -d %buildroot%{_menudir}
mkdir -p %buildroot%_datadir/%name
mv %buildroot%_bindir/* %buildroot%_datadir/%name

cat << EOF > %buildroot%_bindir/%name
#!/bin/sh
mono %_datadir/%name/%name.exe $*
EOF

perl -pi -e 's,sportstracker.png,sportstracker,g' %{buildroot}%{_datadir}/applications/*

#fix executable in desktop file
sed '/Exec/d' %{buildroot}%{_datadir}/applications/*.desktop  > %{buildroot}%{_datadir}/applications/temp.desktop
sed '/^Comment/a Exec=SportsTracker' %{buildroot}%{_datadir}/applications/temp.desktop > %{buildroot}%{_datadir}/applications/sportstracker.desktop
rm -r %{buildroot}%{_datadir}/applications/temp.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Sports" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 32 resource/icons/st-logo.png %buildroot%_iconsdir/%name.png
convert -scale 16 resource/icons/st-logo.png %buildroot%_miconsdir/%name.png
cp resource/icons/st-logo.png %buildroot%_liconsdir/%name.png


%find_lang sportstracker


%clean
rm -rf "$RPM_BUILD_ROOT"

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f sportstracker.lang
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%doc docs/{CHANGES.txt,I18N.txt,LICENSE.txt,README.txt,TODO.txt} 




%changelog
* Tue Sep 09 2008 Stéphane Téletchéa <steletch@mandriva.org> 2.5.1-6mdv2009.0
+ Revision: 283172
- fix requires (fixes bug #43728)
- fix license version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.1-5mdv2009.0
+ Revision: 242732
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 30 2007 Emmanuel Andry <eandry@mandriva.org> 2.5.1-3mdv2008.0
+ Revision: 94010
- really fix bug #33918

* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 2.5.1-2mdv2008.0
+ Revision: 93927
- drop old menu
- fix buildrequires
- fix group
- fix desktop file validation
- fix executable in desktop file (bug #33918)

* Sun Jun 03 2007 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2008.0
+ Revision: 34916
- new version


* Tue Apr 03 2007 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2007.1
+ Revision: 150440
- new version

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2007.1
+ Revision: 117088
- new version
- build with gmcs

* Sun Dec 17 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2007.1
+ Revision: 98324
- new version

* Tue Nov 21 2006 Lenny Cartier <lenny@mandriva.com> 2.4.0-1mdv2007.1
+ Revision: 85758
- Update to 2.3.0
- Import SportsTracker

* Sat Sep 30 2006 Gtz Waschk <waschk@mandriva.org> 2.3.0-2mdv2007.0
- fix menu category
- fix description

* Tue Sep 19 2006 Gtz Waschk <waschk@mandriva.org> 2.3.0-1mdv2007.0
- fix check
- New version 2.3.0

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 2.2.0-1mdv2007.0
- update file list
- fix installation
- New release 2.2.0

* Sat Jul 15 2006 Gtz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.0
- xdg menu
- New release 2.1.0

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.0
- New release 2.0.0

* Sun Mar 12 2006 Gtz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patch
- New release 1.2.1

* Wed Mar 01 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- workaround for upstream bug #77376

* Fri Jan 27 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- make test

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- spec fixes
- create wrapper script
- New release 1.2.0

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 1.0.1-5mdk
- noarch

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 1.0.1-4mdk
- fix deps

* Mon Dec 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-3mdk
- %%mkrel
- Fix BuildRequires

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-2mdk
- rebuild for new gtk-sharp2

* Wed Aug 17 2005 Emmanuel Blindauer <mdk@agat.net> 1.0.1-1mdk
- new version.

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.3-1mdk
- new version.

* Tue Aug 10 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.0-1mdk
- Initial build.

